package com.fastbee.ggroup.mapper;

import java.util.List;

import com.fastbee.ggroup.domain.GSites;
import com.fastbee.ggroup.domain.dto.GGroupSiteDto;
import com.github.yulichang.base.MPJBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 站点Mapper接口
 *
 * @author kerwincui
 * &#064;date  2024-09-29
 */
@Mapper
public interface GSitesMapper extends MPJBaseMapper<GSites>
{
    /**
     * 查询站点
     *
     * @param id 站点主键
     * @return 站点
     */

    GSites selectGSitesById(Long id);

    /**
     * 查询站点列表
     *
     * @param gSites 站点
     * @return 站点集合
     */
    List<GSites> selectGSitesList(GSites gSites);

    /**
     * 新增站点
     *
     * @param gGroupSiteDto 站点
     * @return 结果
     */
    int insertGSites(GGroupSiteDto gGroupSiteDto);

    /**
     * 修改站点
     *
     * @param gSites 站点
     * @return 结果
     */
    int updateGSites(GSites gSites);

    /**
     * 删除站点
     *
     * @param id 站点主键
     * @return 结果
     */

    int deleteGSitesById(@Param("id") Long id);

    /**
     * 批量删除站点
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGSitesByIds(Long[] ids);
}
